﻿using System;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    static void Main()
    {
        bool isCUDAInstalled = CUDAHelper.IsCUDAInstalled();

        if(isCUDAInstalled)
        {
            Console.WriteLine("CUDA가 설치되어 있습니다.");

            string version = CUDAHelper.GetGUDAVersion();

            Console.WriteLine($"CUDA 버전 : {version}");
        }
        else
        {
            Console.WriteLine("CUDA가 설치되어 있지 않습니다.");
        }
    }

    #endregion
}